Query video generation task
curl --request GET \
--url https://api.minimax.io/v2/query/video_generation/{task_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.minimax.io/v2/query/video_generation/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.minimax.io/v2/query/video_generation/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task": {
"id": "424010985738629",
"model": "MiniMax-H3",
"status": "succeeded",
"created_at": 1785125529,
"updated_at": 1785125946,
"content": {
"url": "https://cdn.hailuoai.com/prod/hailuo_demo/testsets/h3_promo_eval_ref2va/gallery/sr_v2p26_trio_seed42_20260724/inputs/89f8c0bbee5b_denoise_ids_0_final.mp4"
},
"resolution": "2K",
"duration": 5,
"usage": {
"total_seconds": 5,
"input_seconds": 0,
"output_seconds": 5
},
"ratio": "16:9",
"task_type": "generation"
}
}MiniMax-H3
Query Video Generation Task
Query the status and result of a single video generation task by task_id, and retrieve the generated video once the task succeeds.
GET
/
v2
/
query
/
video_generation
/
{task_id}
Query video generation task
Authorizations
HTTP: Bearer Auth
- Security Scheme Type: http
- HTTP Authorization Scheme:
Bearer API_key, used to verify account information, can be found in Account Management>API Keys.
Path Parameters
ID of the video generation task to query (the task_id returned when the task was created).
Response
Video generation task object.
Show child attributes
Show child attributes
⌘I